wakiwaki

公式のカスタマーサポート様初めまして

3.8のバージョンで作成したSpineデータをJSONにエクスポートしたのちに3.7のバージョンへインポートしようと
思ったのですが、「スケルトンインポートエラー」が表示されてインポートができません。

試しに3.8.72 3.8.61でそれぞれエクスポートしてJSON化してみましたが3.7 3.6のバージョンタイプでも
同じ現象が起きます。


しかし、3.7のバージョンを3.6にインポート(ダウングレード)したところ問題なく表示されました。

この現象の改善について、ご確認をお願いします。
У вас нет необходимых прав для просмотра вложений в этом сообщении.
wakiwaki
  • Сообщения: 2

badlogic

トラブルでごめんなさい。 脊椎バージョンには後方互換性がありません。 JSONを3.7から3.6にインポートするのは偶然でした。 3.7と3.8の間で変更がありました。 それが、3.7が3.8からJSONをインポートできない理由です。

3.8 JSONファイルを3.7に変換できるJsonRollbackというツールを作成しました。 詳細については、こちらを参照してください(申し訳ありませんが、英語のみ。問題が発生した場合は、こちらでサポートします!)http://esotericsoftware.com/forum/Spine-editor-and-runtime-version-management-6534

Sorry for the troubles. Spine versions are not backward compatible. Importing JSON from 3.7 into 3.6 worked by accident. Between 3.7 and 3.8 there were changes. That's why 3.7 can not import JSON from 3.8.

We have created a tool called JsonRollback that lets you convert a 3.8 JSON file to 3.7. You can find more information about it here (sorry, English only. If you have troubles, I will help here!) Spine editor and runtime version management
Аватара пользователя
badlogic

Mario
  • Сообщения: 2013

wakiwaki

ご返信遅くなり申し訳ございません。

ありがとうございます! 記載内容確認して試してみます。 
wakiwaki
  • Сообщения: 2


Вернуться в 日本のSpine ユーザー